<?php
namespace GopNext\Services;

class OperatingBudgetParametersService{
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
   }
   
    public function beginTransaction() {
        $this->connection->beginTransaction();
    }
    
    public function commit() {
        $this->connection->commit();
    }
    
    public function rollback() {
      $this->connection->rollback();
    }
   
    public function reciveParametersForBudgetOperation(){
        $query = "SELECT * FROM PARAMORCAOPERAC";
        try {
            $std = $this->connection->prepare($query);
            $std->execute();
            $result = $std->fetchAll();
    
            return $result;
            
        } catch (Exception $e) {
            throw $e;
        }
    }

    public function insertOperationalItem($params) {
        $query =
            " INSERT INTO ITEMOPERACIONAL (
                NRITEMOPERACIONAL,
                IDTIPOORCAOP,
                IDCHECK
            ) VALUES (
                :NRITEMOPERACIONAL,
                :IDTIPOORCAOP,
                :IDCHECK
            )";
        try{
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        }catch(Exception $e) {
            throw $e;
        }
    }
}